"use strict";

var gulp = require("gulp");
var createSuperGulp = require("edm-supergulp");
var packageJson = require("./package.json");

var superGulp = createSuperGulp({
	gulp: gulp
});

var jsFiles = [
	"./*.js",
	"./src/**/*.js",
	"./spec/**/*.js"
];

var jsonFiles = [
	".jshintrc",
	".jscsrc",
	"./package.json",
	"./src/**/*.json",
	"./spec/**/*.json"
];

var specFiles = [
	"spec/**/*[Ss]pec.js"
];

var sourceFiles = [
	"src/**/!(*[Ss]pec).js"
];

var localDeps = [];

superGulp.taskTemplates.initFrontendTasks({
	packageJson: packageJson,
	coverage: 70,
	files: {
		js: jsFiles,
		json: jsonFiles,
		spec: specFiles,
		source: sourceFiles,
		localDeps: localDeps
	},
	tasks: {
		copy: {},
		ejs: {},
		sass: []
	}
});