module.exports = renderCss;

var styles = require("./defaultStyles");

function desktopMedia() {
	return "@media only screen and (min-width: 600px)";
}

function tabletMedia() {
	return "@media only screen and (max-width: 599px), only screen and (max-device-width: 599px), only screen and (max-width: 400px), only screen and (max-device-width: 400px)";
}

function renderCss(bodyScroll) {
	var cssText = "";
	if (bodyScroll) {
		styles.global.body["overflow-y"] = "visible";
	}
	for (var selector in styles.global) {
		var selectorText = selector + " {";
		for (var property in styles.global[selector]) {
			selectorText += "\n	" + property + ": " + styles.global[selector][property] + ";";
		}
		selectorText += "\n}\n";
		cssText += selectorText;
	}
	cssText += "\n" + desktopMedia() + "{\n";
	for (var selector in styles.desktop) {
		var selectorText = "	" + selector + " {";
		for (var property in styles.desktop[selector]) {
			selectorText += "\n		" + property + ": " + styles.desktop[selector][property] + ";";
		}
		selectorText += "\n	}\n";
		cssText += selectorText;
	}
	cssText += "\n}";
	cssText += "\n" + tabletMedia() + "{\n";
	for (var selector in styles.tablet) {
		var selectorText = "	" + selector + " {";
		for (var property in styles.tablet[selector]) {
			selectorText += "\n		" + property + ": " + styles.tablet[selector][property] + ";";
		}
		selectorText += "\n	}\n";
		cssText += selectorText;
	}
	cssText += "\n}";
	return cssText;
	// console.log(cssText);
}