module.exports = {
	createLinkElem: createLinkElem,
	createImageElem: createImageElem,
	createTextElem: createTextElem
};

function createLinkElem(href, DOMDocument) {
	var linkElem = DOMDocument.createElement("a");
	linkElem.href = href;
	linkElem.target = "_blank";
	return linkElem;
}

function createImageElem(src, alt, align, DOMDocument, manageBuild) {
	manageBuild(1);
	var imageElem = DOMDocument.createElement("img");
	imageElem.onload = function () {
		manageBuild(-1);
	};
	imageElem.onerror = function () {
		manageBuild(-1);
	};
	imageElem.classList.add(align + "-block");
	imageElem.src = src;
	if (alt && alt !== "") {
		imageElem.alt = alt;
	}
	return imageElem;
}

function createTextElem(text, DOMDocument) {
	var textElem = DOMDocument.createElement("div");
	textElem.innerHTML = text;
	return textElem;
}